<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Gdpr_tools
 * @subpackage Gdpr_tools/admin/partials
 */

?>
<style type="text/css" id="misc-styles"></style>
<style type="text/css" id="custom-css"></style>
<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
<div><a href="https://wpbomb.com/gdpr-tools-pro/" target="_blank" ><img src="<?php echo plugin_dir_url( __FILE__ ); ?>../img/pro-version.png" alt="Get PRO version"/></a></div>
<div id="gdpr-tools-settings" class="container">
    <div class="sc-loader"></div>
    <widget inline-template>
       <form v-on:submit.prevent="submit()">
        <div>
            <ul>
                <li><a href="#general">General</a></li>
                <li v-show="settings.enable_cookie_notice"><a href="#cookie-notice">Cookie Notice</a></li>
                <li><a href="#privacy-services">Privacy Services</a></li>
                <li><a href="#logs">Logs</a></li>
            </ul>
            <div id="general">
                <div class="input-group">
                    <div class="checkbox">
                        <label><input type="checkbox" name="enable_cookie_notice" id="enable_cookie_notice" v-model="settings.enable_cookie_notice" >Enable cookie notice</label>
                    </div>
                </div>
                <div class="input-group" >
                    <div class="checkbox">
                        <label><input type="checkbox" name="trigger_privacy_modal_class" id="trigger_privacy_modal_class" v-model="settings.trigger_privacy_modal_class" >Enable privacy settings modal triggering (set "gdpr-tools-trigger-privacy-modal" class for elements you want to trigger modal window)</label>
                    </div>
                </div>
                <div class="input-group" >
                    <div class="checkbox">
                        <label><input type="checkbox" name="enable_user_info_removal" id="enable_user_info_removal" v-model="settings.enable_user_info_removal" >Enable user profile data removal (add "?gdprt-remove-user-info" param to url for "delete user data" page, e.g: <?php echo site_url().'/remove-user-data?gdprt-remove-user-info'; ?>. After visitng this page all assoicated user profile information will be removed)</label>
                    </div>
                </div>
                <div class="input-group">
                    <div class="checkbox">
                        <label><input type="checkbox" v-bind:disabled="!settings.enable_user_info_removal" name="remove_mailchimp_email" id="remove_mailchimp_email" v-model="settings.remove_mailchimp_email" >Remove email from Mailchimp during user data removal</label>
                    </div>
                </div>
                <p>Follow this instructions to find Mailchimp API key and List ID: <a href="https://wpbomb.com/getting-mailchimp-api-key-and-list-id/">https://wpbomb.com/getting-mailchimp-api-key-and-list-id/</a></p>
                <div class="input-group">
                    <div class="checkbox">
                        <label><input type="text" v-bind:disabled="!settings.remove_mailchimp_email || !settings.enable_user_info_removal" name="mailchimp_api_token" id="mailchimp_api_token" v-model="settings.mailchimp_api_token" > Mailchimp API key</label>
                    </div>
                </div>
                <div class="input-group" >
                    <div class="checkbox">
                        <label><input type="text" v-bind:disabled="!settings.remove_mailchimp_email || !settings.enable_user_info_removal" name="mailchimp_list_id" id="mailchimp_list_id" v-model="settings.mailchimp_list_id" > Mailchimp List ID</label>
                    </div>
                </div>
                <div class="input-group">
                    <div class="checkbox">
                        <label><input type="text" disabled="true" name="accept_expiry_days" id="accept_expiry_days" v-model="settings.accept_expiry_days" > Cookie consent accept expiry days for non-logged in user</label><a href="https://wpbomb.com/gdpr-tools-pro/" target="_blank" ><img class="pro-feature" src="<?php echo plugin_dir_url( __FILE__ ); ?>../img/pro-feature.png" /></a>
                    </div>
                </div>
                  <div class="input-group">
                    <div class="checkbox">
                        <label><input type="checkbox" disabled="true" name="print_codes_in_header" id="print_codes_in_header" v-model="settings.print_codes_in_header" > Print codes in header insted of in footer</label><a href="https://wpbomb.com/gdpr-tools-pro/" target="_blank" ><img class="pro-feature" src="<?php echo plugin_dir_url( __FILE__ ); ?>../img/pro-feature.png" /></a>

                    </div>
                </div>
                  <div class="input-group">
                    <div class="checkbox">
                        <label><input type="checkbox" disabled="true" name="services_default_disabled" id="services_default_disabled" v-model="settings.services_default_disabled" > Disable all services by default</label><a href="https://wpbomb.com/gdpr-tools-pro/" target="_blank" ><img class="pro-feature" src="<?php echo plugin_dir_url( __FILE__ ); ?>../img/pro-feature.png" /></a>
                    </div>
                </div>
               
            </div>
            <div id="cookie-notice" >
                <div>
                 <div class="form-group">
                    <div class="input-group">
                        <h4>Content</h4>
                        <label>Accept button text <input type="text" class="form-control valid"  v-model="settings.notice_accept_button_text" name="notice_accept_button_text" value="" aria-invalid="false"></label>
                    </div>
                    <div class="input-group">
                        <label for="notice_message" style=" vertical-align: top;">Message</label> <textarea class="form-control valid"  v-model="settings.notice_message" name="notice_message" style="min-height: 100px;" id="notice_message" value="" cols="50" rows="10" aria-invalid="false" ></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <h4>Position</h4>
                    <div class="input-group">
                        <label><input type="radio" name="notice_position"  value="top" v-model="settings.notice_position"> Top</label>
                    </div>
                    <div class="input-group">
                        <label><input type="radio"  name="notice_position"  value="bottom" v-model="settings.notice_position"> Bottom</label>
                    </div>
                </div>
                <div class="form-group">
                    <h4>Colors</h4>
                    <div class="input-group ">
                        <label>Theme
                            <select class="form-control valid" name="notice_theme" v-model="settings.notice_theme">
                                <option value="light">Light</option>
                                <option value="dark">Dark</option>
                                <option value="custom">Custom</option>
                            </select>
                        </label>
                    </div>
                    <div class="input-group ">
                        <label>Notice background <input type="text" size="5" class="form-control valid" name="notice_bg_color" id="notice_bg_color" v-model="settings.notice_bg_color" aria-invalid="false"></label><color-picker field="notice_bg_color" />
                    </div>
                    <div class="input-group ">
                        <label>Accept button background  <input type="text" size="5" class="form-control valid" name="accept_button_bg_color" id="accept_button_bg_color" v-model="settings.accept_button_bg_color" aria-invalid="false"></label><color-picker field="accept_button_bg_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Message color <input type="text" size="5" class="form-control valid" name="message_color" id="message_color" v-model="settings.message_color" aria-invalid="false"></label><color-picker field="message_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Link color <input type="text" size="5" class="form-control valid" name="link_color" id="link_color" v-model="settings.link_color" aria-invalid="false"></label><color-picker field="link_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Link hover color <input type="text" size="5" class="form-control valid" name="link_hover_color" id="link_hover_color" v-model="settings.link_hover_color" aria-invalid="false"></label><color-picker field="link_hover_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Accept button text color <input type="text" size="5" class="form-control valid" name="accept_button_color" id="accept_button_color" v-model="settings.accept_button_color" aria-invalid="false"></label><color-picker field="accept_button_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Border color <input type="text" size="5" class="form-control valid" name="border_color" id="border_color" v-model="settings.border_color" aria-invalid="false"></label><color-picker field="border_color"/>
                    </div>
                </div>
                <div class="form-group">
                 <h4>Privacy Settings Button</h4>
                 <div class="input-group">
                    <div class="checkbox">
                        <label><input type="checkbox" name="enable_privacy_settings" id="enable_privacy_settings" v-model="settings.enable_privacy_settings" >Enable privacy settings button</label>
                    </div>
                </div>
                <div class="form-group" v-show="settings.enable_privacy_settings">
                    <div class="input-group" >
                        <label>Privacy button text <input type="text" class="form-control valid"  v-model="settings.privacy_btn_text" name="privacy_btn_text" value="" aria-invalid="false"></label>
                    </div>
                    <div class="input-group ">
                        <label>Privacy button background  <input type="text" size="5" class="form-control valid" name="privacy_button_bg_color" id="privacy_button_bg_color" v-model="settings.privacy_button_bg_color" aria-invalid="false"></label><color-picker field="privacy_button_bg_color"/>
                    </div>
                    <div class="input-group ">
                        <label>Privacy button text color  <input type="text" size="5" class="form-control valid" name="privacy_button_color" id="privacy_button_color" v-model="settings.privacy_button_color" aria-invalid="false"></label><color-picker field="privacy_button_color"/>
                    </div>
                </div>
            </div>
            <div class="form-group">
                <h4>Custom CSS</h4>
                <div class="input-group">
                    <label>Use the !important flag to override default CSS values <textarea class="form-control valid" v-model="settings.custom_css" name="custom_css"  cols="50" rows="10" style="min-height: 100px;"></textarea></label>
                </div>
            </div>
        </div>
    </div>
    <div id="privacy-services">
        <div class="row"> 
            <input type="button" class="ui-button ui-widget ui-corner-all" v-on:click="settings.privacy_services.push({name:'', slug:'', use_reason:'', code:''});" value="Add Service" />
        </div>
        <div>
            <table>
                <thead v-show="(settings.privacy_services.length > 0)" >
                    <th>Title</th>
                    <th>Slug</th>
                    <th>Use Reason</th>
                    <th>Embed Code</th>
                    <th>Actions</th>
                </thead>
                <tbody>
                  <tr class="ui-state-default" v-for="item in settings.privacy_services" >
                    <td></span><input type="text" v-model="item.name" @input="item.slug = string_to_slug( item.name );" /></td>
                    <td><input type="text" v-model="item.slug" readonly/></td>
                    <td><input type="text" v-model="item.use_reason"/></td>
                    <td><textarea v-model="item.code" cols="50" rows="5"></textarea></td>
                    <td> <input type="button" class="ui-button ui-widget ui-corner-all remove" v-on:click="settings.privacy_services.splice(settings.privacy_services.indexOf(item), 1)" value="Remove" /></td>
                </tr>
            </tbody>
        </table>
    </div>
    <div v-show="(settings.privacy_services.length == 0)" class="no-data-found" >
        Click "Add Service" button to add your first service.
    </div>
    
</div>
<div id="logs">
   <div class="row"> 
    <input type="button" class="ui-button ui-widget ui-corner-all" v-on:click="logs = []; remove_logs();" value="Remove logs" />
</div>
<div v-if="(logs.length > 0)">
  <p>50 most recent logs are shown</p>
  <table cellpadding="10" cellspacing="2" border="0">
    <thead>
        <th>Date</th>
        <th>User ID</th>
        <th>Event</th>
        <th>Notes</th>
    </thead>
    <tbody>
      <tr class="ui-state-default" v-for="item in logs" >
        <td>{{ item.date }}</td>
        <td v-html="item.user_id"></td>
        <td>{{ item.event }}</td>
        <td>{{ item.notes }}</td>
    </tr>
</tbody>
</table>
</div>
<div class="no-data-found" v-else>
    No logs at this moment
</div>
</div>
<div class="form-buttons">
   <input type="submit" class="ui-button ui-widget ui-corner-all submit" value="Save">
</div>
</div>
</form>
</widget>
</div>
<script id="gdpr-tools-data-settings" type="application/json"><?php echo json_encode( $settings ); ?></script>
<script id="gdpr-tools-data-logs" type="application/json"><?php echo json_encode( $logs ); ?></script>
