var confBox;
var GDPR_settings;
(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	 GDPR_settings = JSON.parse(jQuery('#gdpr-tools-data-settings').html());
	 if (GDPR_settings){
	 	if (GDPR_settings.enable_cookie_notice){
	 		jQuery.EUCookie({
	 			'acceptBtn' : GDPR_settings.notice_accept_button_text,
	 			'message': GDPR_settings.notice_message,
	 			'position': GDPR_settings.notice_position,
	 			'links' : {
	 				'link_1' : '/cookie-policy',
	 				'link_1_text' : 'our cookie policy'
	 			},
	 			'privacyBtnEnable' : GDPR_settings.enable_privacy_settings,
	 			'privacyBtnText' : GDPR_settings.privacy_btn_text,
	 			'designMode' : false,
	 			'accept_callback' : function(){
	 				GDPRsetCookie('gdpr_notice_shown', 1 );
	 				if (GDPR_TOOLS.is_logged){
	 					jQuery.ajax({
	 						type: "POST",
	 						url: GDPR_TOOLS.ajax_url,
	 						data: {
	 							action: 'gdpr_tools_save_notice_shown',
	 						},
	 						success: function (response) {
	 						},

	 					});
	 				}
	 			}
	 		}).init();
	 	}
	 	if (GDPR_settings.enable_privacy_settings || GDPR_settings.trigger_privacy_modal_class ){
	 		var privacy_settings = {};
	 		var privacy_storage = GDPRgetCookie('gdpr_privacy');

	 		if ( privacy_storage ){
	 			privacy_settings = JSON.parse( privacy_storage );
	 		}

	 		var slug;
	 		jQuery('#confirm-content tr').each(function(){
	 			slug = jQuery(this).data('slug');
	 			if (!jQuery.isEmptyObject(privacy_settings)){
	 				//user has set settings
	 				if (!( privacy_settings[slug] && -1 == privacy_settings[slug]) ){
	 					jQuery(this).find('input[name="' + slug + '"]').attr('checked', 'checked');
	 				}else{
	 					jQuery(this).find('input[name="' + slug + '"]').removeAttr('checked');
	 				}
	 			}else{
	 				//user doesn't have setting - set default
	 				if (GDPR_settings.services_default_disabled){
	 					jQuery(this).find('input[name="' + slug + '"]').removeAttr('checked');
	 				}else{
	 					jQuery(this).find('input[name="' + slug + '"]').attr('checked', 'checked');
	 				}

	 			}
	 		});
	 		jQuery('#gdpr-confirm-wrapper input.service-switch').switcher();
	 		var _privacy_settings = {};
	 		confBox = new ConfirmBox({ 
	 			wrapper: 'gdpr-confirm-wrapper',
	 			confirm_callback: function(){ 
	 				jQuery('#confirm-content tr').each(function(){
	 					slug = jQuery(this).data('slug');
	 					if (jQuery(this).find('input[name="' + slug + '"]').is(':checked')){
	 						_privacy_settings[slug] = 1;
	 					}else{
	 						_privacy_settings[slug] = -1;
	 					}
	 				});
	 				if (GDPR_TOOLS.is_logged){
	 					jQuery.ajax({
	 						type: "POST",
	 						url: GDPR_TOOLS.ajax_url,
	 						data: {
	 							action: 'gdpr_tools_save_privacy_settings',
	 							settings: _privacy_settings
	 						},
	 						success: function (response) {
	 						},

	 					});
	 				}else{
	 					GDPRsetCookie('gdpr_privacy', JSON.stringify(_privacy_settings));
	 				}
	 			},
	 			cancel_callback: function(){ }
	 		});
	 		jQuery(document).on('click', '.GDPR-tools-consent__btn.privacy, .gdpr-tools-trigger-privacy-modal', function(){
	 			confBox.show(confBox.instance);
	 		});
	 	}
	 

	 }
	})( jQuery );


	function GDPRsetCookie(name, value, options) {
		options = options || {};
		var expiry_days = GDPR_settings.accept_expiry_days || 30;
		var expires = 3600 * 24 * expiry_days;

		if (typeof expires == "number" && expires) {
			var d = new Date();
			d.setTime(d.getTime() + expires * 1000);
			expires = options.expires = d;
		}
		if (expires && expires.toUTCString) {
			options.expires = expires.toUTCString();
		}

		value = encodeURIComponent(value);

		var updatedCookie = name + "=" + value;

		for (var propName in options) {
			updatedCookie += "; " + propName;
			var propValue = options[propName];
			if (propValue !== true) {
				updatedCookie += "=" + propValue;
			}
		}

		document.cookie = updatedCookie;
	}

	function GDPRgetCookie(name) {
		var matches = document.cookie.match(new RegExp(
			"(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
			));
		return matches ? decodeURIComponent(matches[1]) : false;
	}

	